Debian Bug report logs - #662923
ITP: fheroes2-pkg -- installer of "fheroes2" - a free implementation of Heroes of Might and Magic II classic game

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Dmitry Smirnov <onlyjob@member.fsf.org>

Date: Wed, 7 Mar 2012 10:42:02 UTC

Owned by: Dmitry Smirnov <onlyjob@member.fsf.org>

Severity: wishlist

Fixed in version fheroes2-pkg/0+svn20130304-1-1

Done: Dmitry Smirnov <onlyjob@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel-games@lists.debian.org, wnpp@debian.org:
Bug#662923; Package wnpp. (Wed, 07 Mar 2012 10:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
New Bug report received and forwarded. Copy sent to debian-devel-games@lists.debian.org, wnpp@debian.org. (Wed, 07 Mar 2012 10:42:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: submit@bugs.debian.org
Subject: ITP: fheroes2 -- free implementation of Heroes of Might and Magic II engine
Date: Wed, 7 Mar 2012 21:02:29 +1100
Package: wnpp
Severity: wishlist
X-Debbugs-CC: debian-devel-games@lists.debian.org

--- Please fill out the fields below. ---

   Package name: fheroes2
        Version: 0+svn20120302
Upstream Author: Andrey Afletdinov <fheroes2@gmail.com>
            URL: http://sourceforge.net/projects/fheroes2/
        License: GPL-2+ and non-commercial license
    Description: free implementation of Heroes of Might and Magic II engine
                 Heroes of Might and Magic II is a classic fantasy turn-based
                 strategy/role-playing game which takes place in the land of Enroth,
                 a place of magic.
                 There are a multitude of creature types, from griffins to rocs,
                 golems to pikemen, unicorns to hydras, and four different dragons.
                 Each castle type has six different creatures, from the weak
                 to the strong. There are six castle types, each corresponding to
                 a hero class: Knight, Sorceress, Wizard (Good side), Barbarian,
                 Necromancer and Warlock (Evil side). There are also six different
                 types of neutral creatures you can recruit in special structures
                 scattered about the maps.
                 .
                 Original game files from CD are needed to play this game.


Despite being mostly GPL-2+, AI implementation prohibit commercial use
 so this game is only suitable for non-free, as far as I understand.




Owner recorded as Dmitry Smirnov <onlyjob@member.fsf.org>. Request was from Dmitry Smirnov <onlyjob@member.fsf.org> to control@bugs.debian.org. (Wed, 07 Mar 2012 10:58:33 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#662923; Package wnpp. (Wed, 07 Mar 2012 12:30:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 07 Mar 2012 12:30:17 GMT) Full text and rfc822 format available.

Message #12 received at 662923@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: 662923@bugs.debian.org
Subject: source package availability
Date: Wed, 7 Mar 2012 23:28:06 +1100
Source package is available from

  http://mentors.debian.net/debian/pool/non-free/f/fheroes2/fheroes2_0+svn20120302-1.dsc

Thanks.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Dmitry Smirnov <onlyjob@member.fsf.org>:
Bug#662923; Package wnpp. (Mon, 12 Mar 2012 10:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ansgar Burchardt <ansgar@43-1.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Dmitry Smirnov <onlyjob@member.fsf.org>. (Mon, 12 Mar 2012 10:57:09 GMT) Full text and rfc822 format available.

Message #17 received at 662923@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@43-1.org>
To: debian-devel-games@lists.debian.org
Cc: 662923@bugs.debian.org
Subject: Re: Please advise if fheroes2 is suitable for non-free?
Date: Mon, 12 Mar 2012 11:54:40 +0100
Hi,

On 03/12/2012 08:39 AM, Dmitry Smirnov wrote:
> I'm just wondering to what extent we can tolerate DFSG incompatible licenses 
> in non-free, like non-commercial license of fheroes2.

That's what non-free is all about.

> Splitting AI to separate package is not feasible for this game and building 
> without AI, although technically possible, makes the game nearly worthless.

I assume you would have to link the non-commercial AI with the GPL game
engine?  You would not be able to distribute the resulting binaries as
the GPL does not allow licensing part of the program under a
GPL-incompatible license.

Regards,
Ansgar




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#662923; Package wnpp. (Wed, 05 Sep 2012 08:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 05 Sep 2012 08:51:04 GMT) Full text and rfc822 format available.

Message #22 received at 662923@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: 662923@bugs.debian.org
Subject: announcing package installer
Date: Wed, 5 Sep 2012 18:49:34 +1000
AI implementation was licensed as GPL-2+ with custom "not-for-sale" clause 
after unfortunate accident when upstream was traumatised by someone who was 
selling his work on apple store.

Rest of the code is licensed as GPL-2+. 

As far as I understand, the implications are that we can't legally distribute 
binaries if game is compiled with AI. Needless to mention that without AI the 
game is hardly playable.

Also some of the images used by upstream may be non-free as well.

Upstream is unwilling to discuss licensing issue.

As workaround I've implemented the installer package which will download game 
sources directly from SourceForge, build the package and install it.

Source package is available from

    http://mentors.debian.net/package/fheroes2-pkg



Changed Bug title to 'ITP: fheroes2-pkg -- installer of "fheroes2" - a free implementation of Heroes of Might and Magic II classic game' from 'ITP: fheroes2 -- free implementation of Heroes of Might and Magic II engine' Request was from Dmitry Smirnov <onlyjob@member.fsf.org> to control@bugs.debian.org. (Wed, 05 Sep 2012 08:51:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#662923; Package wnpp. (Sun, 13 Jan 2013 03:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 13 Jan 2013 03:00:03 GMT) Full text and rfc822 format available.

Message #29 received at 662923@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: debian-devel-games@lists.debian.org, 662923@bugs.debian.org
Subject: Re: Bug#662923: GPL linking exception for fheroes2?
Date: Sun, 13 Jan 2013 13:56:02 +1100
Hi team,

After working on another game I realised that FHeroes2 may be suitable for 
non-free despite seemingly conflicting licensing.

Upstream licensed his work as GPL-2+ however game AI is licensed under "non-
commercial license" prohibiting commercial exploitation.

Obviously game looses most of its value if built without AI so I want to build 
it with AI. 

Some time ago I asked about this situation here and the obvious licensing 
conflict was indeed pointed out: GPL prohibit linking GPL code with code 
licensed under GPL-incompatible licenses (like non-commercial licenses).

Recently I learned that whenever such conflict identified between software 
components other projects ask for linking exceptions from copyright holders of 
GPL components.

In FHeroes2 case upstream himself licensed one part of his software as GPL-2+ 
and another as GPL-incompatible license. However this situation is really an 
unspoken GPL linking exception as both components developed by the same party 
are meant to be used together not to mention the fact that upstream distribute 
the binaries with AI built-in.

Upstream do not explicitly mention GPL linking exception but he obviously (de-
facto) granted himself such exception. 
Is it also enough for us or do *we* need an explicit linking exception to 
distribute FHeroes2 binaries (including AI) in non-free?

Of course controversial linking will have to be clarified in debian/copyright 
and we will have to obey both GPL-2+ and "non-commercial" restrictions.

See also:

	https://en.wikipedia.org/wiki/GPL_linking_exception
	https://www.gnu.org/licenses/gpl-faq.html#GPLIncompatibleLibs

Any comments please?


-- 
Regards,
 Dmitry Smirnov
 GPG key : 4096R/53968D1B

---
What can be asserted without proof can be dismissed without proof. 
		 (Christopher Hitchens, 2004)



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Dmitry Smirnov <onlyjob@member.fsf.org>:
Bug#662923; Package wnpp. (Sun, 13 Jan 2013 03:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Dmitry Smirnov <onlyjob@member.fsf.org>. (Sun, 13 Jan 2013 03:15:03 GMT) Full text and rfc822 format available.

Message #34 received at 662923@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: debian-devel-games@lists.debian.org, 662923@bugs.debian.org
Subject: Re: Bug#662923: GPL linking exception for fheroes2?
Date: Sun, 13 Jan 2013 11:13:43 +0800
On Sun, Jan 13, 2013 at 10:56 AM, Dmitry Smirnov wrote:

> Upstream do not explicitly mention GPL linking exception but he obviously (de-
> facto) granted himself such exception.

He doesn't need an exception since he is presumably the copyright
holder. Under copyright law, copyright holders can do as they like.
Under copyright law, only third-parties need licenses in order to
modify/distribute works. If there are multiple copyright holders they
need to cross-license each other to distribute the work as a whole.
That license could be a privately-negotiated license or a free
software license like the GPL.

> Is it also enough for us or do *we* need an explicit linking exception to
> distribute FHeroes2 binaries (including AI) in non-free?

We need an explicit exception, relicencing the AI, disabling the AI or
replacing the AI with a free version.

> Any comments please?

Sounds like an upstream that is more trouble than it is worth.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 20 May 2013 08:06:30 GMT) Full text and rfc822 format available.

Reply sent to Dmitry Smirnov <onlyjob@debian.org>:
You have taken responsibility. (Thu, 30 May 2013 16:03:19 GMT) Full text and rfc822 format available.

Notification sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
Bug acknowledged by developer. (Thu, 30 May 2013 16:03:19 GMT) Full text and rfc822 format available.

Message #41 received at 662923-close@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@debian.org>
To: 662923-close@bugs.debian.org
Subject: Bug#662923: fixed in fheroes2-pkg 0+svn20130304-1-1
Date: Thu, 30 May 2013 16:00:58 +0000
Source: fheroes2-pkg
Source-Version: 0+svn20130304-1-1

We believe that the bug you reported is fixed in the latest version of
fheroes2-pkg, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 662923@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dmitry Smirnov <onlyjob@debian.org> (supplier of updated fheroes2-pkg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 18 May 2013 13:46:36 +1000
Source: fheroes2-pkg
Binary: fheroes2-pkg
Architecture: source all
Version: 0+svn20130304-1-1
Distribution: experimental
Urgency: low
Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Changed-By: Dmitry Smirnov <onlyjob@debian.org>
Description: 
 fheroes2-pkg - download, build and install fheroes2 package
Closes: 662923
Changes: 
 fheroes2-pkg (0+svn20130304-1-1) experimental; urgency=low
 .
   * Initial release (Closes: #662923).
Checksums-Sha1: 
 2aeeb0657d2bd210d6734608e02c817ad57232f6 1913 fheroes2-pkg_0+svn20130304-1-1.dsc
 da345fa6db17d883d525d7b0a1495a688661fcaf 6636 fheroes2-pkg_0+svn20130304-1.orig.tar.xz
 6faf05e0508a5639f915ff1eed6e81b898960e27 6456 fheroes2-pkg_0+svn20130304-1-1.debian.tar.xz
 e5c8bf735cc1b1a12ecf7905c8992368db563241 12440 fheroes2-pkg_0+svn20130304-1-1_all.deb
Checksums-Sha256: 
 7287784141730d1551fb687148281a4f710e0d23ae6b989f853ae52041d32abe 1913 fheroes2-pkg_0+svn20130304-1-1.dsc
 b522f120613b23800eb46d57a2f07d75b036ece4d39330240d3f02a3256a22bc 6636 fheroes2-pkg_0+svn20130304-1.orig.tar.xz
 44d0d36f1224805e672fd7dbdc193cbc58cfb8c9d00b2dfd63f011b588b3e6c8 6456 fheroes2-pkg_0+svn20130304-1-1.debian.tar.xz
 fed73c6b88bff4ecd6f27b5bfbe09c85f95016eb9d4ce2d52b6b9be7f1f1cbd1 12440 fheroes2-pkg_0+svn20130304-1-1_all.deb
Files: 
 0d1f427245d9243416e7437f6a9a6808 1913 contrib/games optional fheroes2-pkg_0+svn20130304-1-1.dsc
 1108154a855dae93a65a63322cbffe10 6636 contrib/games optional fheroes2-pkg_0+svn20130304-1.orig.tar.xz
 fec5d4bc7952218ee3c6f700b4d9532d 6456 contrib/games optional fheroes2-pkg_0+svn20130304-1-1.debian.tar.xz
 da5e2a6d8ff08462a14f00053ccc0f5a 12440 contrib/games optional fheroes2-pkg_0+svn20130304-1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJRoH40AAoJEFK2u9lTlo0bVLQP/14P1BUwcn9IFEe5blPhKrqD
kS2GcLAuS6dxj1sWURDd80uBRS2/I7b82LoUKN3sYKV87K964FlygwCeVnoHPOsT
oQHN8CCJD0i+aHBa6mqx8cxPwHP4sv4MWzw3onZpM2sKiDdFfgMqbIqFJql90U4l
ff/WKypsdKsI3j9dYtRAzpMx633vQEaMGW9wsRPvBKY3AP/XPk4Y69xYp7OwyUH8
Q1JTh5uRRtKnRg0uy39Pn1rnIg6nPkTIJu1yI4a/wHU7Nz9rgV5oSjgnperTtMTu
GoNE22/PGJvUeFHovuhhAQOd0VW4jKqfgLFktz1jp0YYal21gbKorls/9PtBrJjr
TAALzgSMq6BvKvISPz83KWi8sD7oLztnlFO5sX/aP+5v1E+4A1omSnz280TDq29d
uPF2L3Ab70SULNsWNFW3DpL2TYUDPOvNA3ExHU+i21M9fKmRS1C0WBBbF2RPrz22
+mcgpzdokDlcjb1bGUQJNDEpURPWdJsMDIr08Qg3w0hKULHduU+N1/Aie021NjHx
xlnSmW16J8eD6iDsMs2ZZzm985XDsgQ6YpUSpzZd8ak1KwRDXTaoXsrtC7BOdA9B
wezA1+BGtrgznrnaeZtZck9UiIuwAQ2tfVL7JozWZNM2qdxpjHB+ZWW48gu808E0
dskkzsn6i8BQMNTbo685
=G7WQ
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 28 Jun 2013 07:29:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:11:13 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.